import { UILogicParamType } from "@/logic/const/ui-logic-param-type";
import { UILogicParamBase } from "./ui-logic-param-base";

/**
 * 逻辑上一次调用返回参数
 *
 * @export
 * @class AppDeUILogicLastReturnParam
 */
export class AppDeUILogicLastReturnParam extends UILogicParamBase {

    /**
     * Creates an instance of AppDeUILogicLastReturnParam.
     * @param {*} opts
     * @memberof AppDeUILogicLastReturnParam
     */
    public constructor(opts: any) {
        super(opts);
    }

    /**
     * 初始化
     *
     * @protected
     * @memberof AppDeUILogicLastReturnParam
     */
    protected init(params: any) {
        super.init(params);
        this.logicParamType = UILogicParamType.lastReturnParam;
    }
}